Package org.apache.sysds.runtime.instructions.spark.utils

# Class FrameRDDConverterUtils.LongWritableTextToLongTextFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.utils.FrameRDDConverterUtils.LongWritableTextToLongTextFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>,Long,org.apache.hadoop.io.Text>`

Enclosing class:
  FrameRDDConverterUtils

public static class FrameRDDConverterUtils.LongWritableTextToLongTextFunction extends Object implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>,Long,org.apache.hadoop.io.Text>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LongWritableTextToLongTextFunction()`

## Method Summary

Modifier and Type
Method
Description
`scala.Tuple2<Long,org.apache.hadoop.io.Text>`
`call(scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongWritableTextToLongTextFunction

public LongWritableTextToLongTextFunction()

## Method Details

### call

public scala.Tuple2<Long,org.apache.hadoop.io.Text> call(scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>,Long,org.apache.hadoop.io.Text>`
Throws:
  `Exception`